{
  "manifest_version": 3,
  "name": "领星ERP助手",
  "description": "自动获取交易及流量数据，助力您高效工作",
  "version": "4.2.15",
  "options_page": "options.html",
  "action": {
    "default_popup": "popup.html"
  },
  "background": {
    "service_worker": "js/background.js",
    "type": "module"
  },
  "icons": {
    "16": "images/icon16.png",
    "48": "images/icon48.png",
    "128": "images/icon128.png"
  },
  "permissions": [
    "webRequest",
    "declarativeNetRequest",
    "activeTab",
    "cookies",
    "storage",
    "offscreen",
    "alarms",
    "scripting",
    "tabs"
  ],
  "host_permissions": [
    "https://static.distributetop.com/*",
    "http://gateway.ak.xyz/*",
    "http://gateway-test.ak.xyz/*",
    "https://gw.umaicloud.com/*",
    "https://client.asinking.com/client/*",
    "http://client.asinking.com/client/*",
    "http://client.lingxing.com/client/*",
    "https://client.lingxing.com/client/*",
    "https://sellercentral.amazon.com/*",
    "https://sellercentral.amazon.co.uk/*",
    "https://sellercentral-japan.amazon.com/*",
    "https://sellercentral.amazon.ca/*",
    "https://sellercentral.amazon.de/*",
    "https://sellercentral.amazon.fr/*",
    "https://sellercentral.amazon.it/*",
    "https://sellercentral.amazon.es/*",
    "https://sellercentral.amazon.com.mx/*",
    "https://sellercentral.amazon.in/*",
    "https://sellercentral.amazon.cn/*",
    "https://sellercentral.amazon.com.au/*",
    "https://apac.account.amazon.com/ap/*",
    "https://na.account.amazon.com/ap/*",
    "https://eu.account.amazon.com/ap/*",
    "https://sellercentral-europe.amazon.com/*",
    "https://sellercentral.amazon.co.jp/*",
    "https://sellercentral.amazon.nl/*",
    "https://sellercentral.amazon.ae/*",
    "https://sellercentral.amazon.sa/*",
    "https://sellercentral.amazon.se/*",
    "https://sellercentral.amazon.sg/*",
    "https://sellercentral.amazon.com.br/*",
    "https://sellercentral.amazon.com.be/*",
    "https://sellercentral.amazon.ie/*",
    "https://sellercentral.amazon.eg/*",
    "https://sellercentral.amazon.pl/*",
    "https://*.amazonaws.com/*",
    "https://advertising.amazon.com/*",
    "https://advertising.amazon.sg/*",
    "https://advertising.amazon.sa/*",
    "https://advertising.amazon.pl/*",
    "https://advertising.amazon.ae/*",
    "https://advertising.amazon.com.au/*",
    "https://advertising.amazon.com.br/*",
    "https://advertising.amazon.ca/*",
    "https://advertising.amazon.de/*",
    "https://advertising.amazon.es/*",
    "https://advertising.amazon.fr/*",
    "https://advertising.amazon.in/*",
    "https://advertising.amazon.it/*",
    "https://advertising.amazon.nl/*",
    "https://advertising.amazon.com.mx/*",
    "https://advertising.amazon.co.uk/*",
    "https://advertising.amazon.co.jp/*",
    "https://advertising.amazon.se/*",
    "https://advertising.amazon.com.tr/*",
    "https://advertising.amazon.eg/*",
    "https://advertising.amazon.com.be/*",
    "https://advertising.amazon.ie/*",
    "https://advertising.amazon.eg/*",
    "https://*.amazonaws.com/*",
    "https://www.amazon.com/*",
    "https://www.amazon.ca/*",
    "https://www.amazon.com.mx/*",
    "https://www.amazon.com.br/*",
    "https://www.amazon.co.uk/*",
    "https://www.amazon.de/*",
    "https://www.amazon.es/*",
    "https://www.amazon.it/*",
    "https://www.amazon.fr/*",
    "https://www.amazon.nl/*",
    "https://www.amazon.se/*",
    "https://www.amazon.in/*",
    "https://www.amazon.ae/*",
    "https://www.amazon.sa/*",
    "https://www.amazon.pl/*",
    "https://www.amazon.com.tr/*",
    "https://www.amazon.sg/*",
    "https://www.amazon.co.jp/*",
    "https://www.amazon.com.au/*",
    "https://www.amazon.com.be/*",
    "https://www.amazon.ie/*",
    "https://www.amazon.eg/*",
    "https://ads.lingxing.com/*",
    "http://10.49.1.241:81/*",
    "http://localhost:39089/WebRunLocal",
    "http://localhost:39090/WebRunLocal",
    "http://localhost:39091/WebRunLocal",
    "http://localhost:39092/WebRunLocal",
    "http://localhost:39093/WebRunLocal",
    "http://localhost:39094/WebRunLocal",
    "http://localhost:39095/WebRunLocal",
    "http://localhost:39096/WebRunLocal",
    "http://localhost:39097/WebRunLocal",
    "http://localhost:39098/WebRunLocal",
    "http://localhost:39099/WebRunLocal",

    "https://seller.kuajingmaihuo.com/*",
    "*://*.temudemo.com/*",
    "*://*.temu.com/*",

    "https://vendorcentral.amazon.com/*",
    "https://vendorcentral.amazon.ca/*",
    "https://vendorcentral.amazon.co.uk/*",
    "https://vendorcentral.amazon.de/*",
    "https://vendorcentral.amazon.fr/*",
    "https://vendorcentral.amazon.it/*",
    "https://vendorcentral.amazon.es/*",
    "https://vendorcentral.amazon.nl/*",
    "https://vendorcentral.amazon.se/*",
    "https://vendorcentral.amazon.ie/*",
    "https://vendorcentral.amazon.ae/*",
    "https://vendorcentral.amazon.sa/*",
    "https://vendorcentral.amazon.eg/*",
    "https://vendorcentral.amazon.co.jp/*",
    "https://vendorcentral.amazon.in/*",
    "https://vendorcentral.amazon.sg/*",
    "https://vendorcentral.amazon.pl/*",
    "https://vendorcentral-europe.amazon.com/*",
    "https://vendorcentral-japan.amazon.com/*"
  ],
  "content_security_policy": {
    "extension_pages": "script-src 'self'; object-src 'self'"
  },
  "content_scripts": [
    {
      "matches": [
        "https://client.asinking.com/client/*",
        "https://sellercentral.amazon.com/*",
        "https://sellercentral.amazon.co.uk/*",
        "https://sellercentral-japan.amazon.com/*",
        "https://sellercentral.amazon.ca/*",
        "https://sellercentral.amazon.de/*",
        "https://sellercentral.amazon.fr/*",
        "https://sellercentral.amazon.it/*",
        "https://sellercentral.amazon.es/*",
        "https://sellercentral.amazon.com.mx/*",
        "https://sellercentral.amazon.in/*",
        "https://sellercentral.amazon.cn/*",
        "https://sellercentral.amazon.com.au/*",
        "https://apac.account.amazon.com/ap/*",
        "https://na.account.amazon.com/ap/*",
        "https://eu.account.amazon.com/ap/*",
        "https://sellercentral-europe.amazon.com/*",
        "https://sellercentral.amazon.co.jp/*",
        "https://sellercentral.amazon.nl/*",
        "https://sellercentral.amazon.ae/*",
        "https://sellercentral.amazon.sa/*",
        "https://sellercentral.amazon.se/*",
        "https://sellercentral.amazon.sg/*",
        "https://sellercentral.amazon.com.br/*",
        "https://sellercentral.amazon.com.be/*",
        "https://sellercentral.amazon.ie/*",
        "https://sellercentral.amazon.eg/*",
        "https://sellercentral.amazon.pl/*",
        "https://advertising.amazon.com/*",
        "https://advertising.amazon.sg/*",
        "https://advertising.amazon.sa/*",
        "https://advertising.amazon.pl/*",
        "https://advertising.amazon.ae/*",
        "https://advertising.amazon.com.au/*",
        "https://advertising.amazon.com.br/*",
        "https://advertising.amazon.ca/*",
        "https://advertising.amazon.de/*",
        "https://advertising.amazon.es/*",
        "https://advertising.amazon.fr/*",
        "https://advertising.amazon.in/*",
        "https://advertising.amazon.it/*",
        "https://advertising.amazon.nl/*",
        "https://advertising.amazon.com.mx/*",
        "https://advertising.amazon.co.uk/*",
        "https://advertising.amazon.co.jp/*",
        "https://advertising.amazon.se/*",
        "https://advertising.amazon.com.tr/*",
        "https://advertising.amazon.eg/*",
        "https://advertising.amazon.com.be/*",
        "https://advertising.amazon.ie/*",
        "https://advertising.amazon.eg/*",
        "https://ads.lingxing.com/*",
        "http://10.49.1.241:81/*",
        "https://vendorcentral.amazon.com/*",
        "https://vendorcentral.amazon.ca/*",
        "https://vendorcentral.amazon.com.mx/*",
        "https://vendorcentral.amazon.com.br/*",
        "https://vendorcentral.amazon.co.uk/*",
        "https://vendorcentral.amazon.de/*",
        "https://vendorcentral.amazon.fr/*",
        "https://vendorcentral.amazon.it/*",
        "https://vendorcentral.amazon.es/*",
        "https://vendorcentral.amazon.nl/*",
        "https://vendorcentral.amazon.se/*",
        "https://vendorcentral.amazon.com.be/*",
        "https://vendorcentral.amazon.ie/*",
        "https://vendorcentral.amazon.ae/*",
        "https://vendorcentral.amazon.sa/*",
        "https://vendorcentral.amazon.eg/*",
        "https://vendorcentral.amazon.co.jp/*",
        "https://vendorcentral.amazon.in/*",
        "https://vendorcentral.amazon.com.au/*",
        "https://vendorcentral.amazon.sg/*",
        "https://vendorcentral.amazon.pl/*",
        "https://vendorcentral-europe.amazon.com/*",
        "https://vendorcentral-japan.amazon.com/*"
      ],
      "js": ["js/content.js"],
      "run_at": "document_end"
    }
  ],
  "web_accessible_resources": [
    {
      "resources": ["fonts/*", "images/*"],
      "matches": ["*://*/*"]
    }
  ]
}
